Skip to main content
GET
/
v1
/
workflows
/
versions
/
diff
Diff Workflow Versions
curl --request GET \
  --url https://api.retab.com/v1/workflows/versions/diff \
  --header 'Api-Key: <api-key>'
{
  "from_workflow_version_id": "<string>",
  "to_workflow_version_id": "<string>",
  "added_block_ids": [],
  "removed_block_ids": [],
  "changed_block_ids": [],
  "added_edge_ids": [],
  "removed_edge_ids": [],
  "changed_edge_ids": []
}
Compare two immutable workflow graph versions.
Python
from_version_id = "wfv_before"
to_version_id = "wfv_after"
print(from_version_id, to_version_id)
TypeScript
const fromWorkflowVersionId = "wfv_before";
const toWorkflowVersionId = "wfv_after";
console.log(fromWorkflowVersionId, toWorkflowVersionId);
Go
fromWorkflowVersionID := "wfv_before"
toWorkflowVersionID := "wfv_after"
_, _ = fromWorkflowVersionID, toWorkflowVersionID
Java
String fromWorkflowVersionId = "wfv_before";
String toWorkflowVersionId = "wfv_after";
System.out.println(fromWorkflowVersionId + " " + toWorkflowVersionId);
cURL
curl "https://api.retab.com/v1/workflows/versions/diff?workflow_id=wf_abc123&from_workflow_version_id=wfv_before&to_workflow_version_id=wfv_after" \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Query Parameters

workflow_id
string
required

Workflow whose versions to diff

from_workflow_version_id
string
required

Base workflow version ID

to_workflow_version_id
string
required

Target workflow version ID

Response

Successful Response

from_workflow_version_id
string
required
to_workflow_version_id
string
required
added_block_ids
string[]
removed_block_ids
string[]
changed_block_ids
string[]
added_edge_ids
string[]
removed_edge_ids
string[]
changed_edge_ids
string[]